;###########################################################################
;    This file is part of KillingMachine game made by PizzarT.
;
;    This program is free software: you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation, either version 3 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program.  If not, see <https://www.gnu.org/licenses/>.
;
;###########################################################################

;###########################################################################
;#### FICHERO: render.h.s
;###########################################################################
.macro DefineDrawableEntity _name, _x, _y, _w, _h, _sp
_name: 
   .db    _x, _y     		;; X, Y
   .db    _w, _h     		;; Ancho, Alto
   .dw   _sp           	;; Color
.endm
de_x    = 0 	de_y = 1
de_w    = 2 	de_h = 3
de_sp_l = 4 	de_sp_h = 5

.macro DefineDrawableEntityDefault _name, _suf
   DefineDrawableEntity _name'_suf, 0xAA, 0, 0, 0, 0xFF
.endm

.macro DefineNDrawablesEntities _name, _n
   _c = 0
   .rept _n
      DefineDrawableEntityDefault _name, \_c
      _c = _c + 1
   .endm
.endm

.globl rend_clearEntity
.globl rend_drawEntity
.globl rend_initBackbuffer
.globl rend_newScene

.globl m_back_buffer

.globl rend_drawMap
.globl rend_drawHeroStats
.globl rend_removeHeartHero
.globl rend_removeWaveNumber
