;###########################################################################
;    This file is part of KillingMachine game made by PizzarT.
;
;    This program is free software: you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation, either version 3 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program.  If not, see <https://www.gnu.org/licenses/>.
;
;###########################################################################

;###########################################################################
;#### FICHERO: wave.h.s
;###########################################################################

.macro DefineWave _name, _numEnemPant, _numTotalEnem, _movsXSP, _movsYSP, _hpSP, _tFireSP, _tMoveSP, _movsXB, _hpB, _hpTW, _tFireTW, _pwEnemB, _pwTowerB, _tSpawn, _tRegen, _message
_name:
	.db 	_numEnemPant, _numTotalEnem			;; Numero de enemigos en pantalla y numero total de enemigos en la oleada
	.db 	_movsXSP, _movsYSP 					;; Cuanto se mueve la spider
	.db 	_hpSP 								;; Vida de spider
	.db 	_tFireSP, _tMoveSP 					;; Tiempo para disparar y cambiar de pos de spider
	.db 	_movsXB 							;; Cuanto se mueve bomb
	.db 	_hpB 								;; Vida de bomb
	.db 	_hpTW 								;; Vida de tower
	.db 	_tFireTW 							;; Tiempo para disparar de tower
	.db 	_pwEnemB, _pwTowerB 				;; Danyo de las balas de spider y tower
	.db 	_tSpawn
	.db 	_tRegen
	.dw 	_message
.endm 	

w_nEnemP  = 0 	w_nTEnem   = 1
w_movsXSP = 2 	w_movsYSP  = 3
w_hpSP 	  = 4
w_tFireSP = 5 	w_tMoveSP  = 6
w_movsXB  = 7
w_hpB 	  = 8
w_hpTW 	  = 9
w_tFireTW = 10
w_pwEnemB = 11 	w_pwTowerB = 12
w_tSpawn  = 13
w_tRegen  = 14
w_mes_l   = 15  w_mes_h    = 16

.globl wave_checkLoad

.globl waves_vector
.globl m_next_wave

.globl m_num_wave
.globl m_t_nextWave
