;###########################################################################
;    This file is part of KillingMachine game made by PizzarT.
;
;    This program is free software: you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation, either version 3 of the License, or
;    (at your option) any later version.
;
;    This program is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with this program.  If not, see <https://www.gnu.org/licenses/>.
;
;###########################################################################

;###########################################################################
;#### FICHERO: wave.s
;###########################################################################

.include "wave.h.s"
.include "entity.h.s"
.include "main.h.s"
.include "menu.h.s"

wave10: .asciz "10"
wave11: .asciz "11"
wave12: .asciz "12"
wave13: .asciz "13"
wave14: .asciz "14"
wave15: .asciz "15"


k_size_wave = 17


k_max_wave = 15
m_num_wave: .db 00

k_t_max_nextWave = 20
m_t_nextWave: .db 00


;DefineWave wave_data_10 #7, #21, #2, #3, #4, #15, #165, #1, #2, #6, #30, #3, #4, #25, #25

;; _name, _numEnemPant, _numTotalEnem, _movsXSP, _movsYSP, _hpSP, _tFireSP, _tMoveSP, _movsXB, _hpB, _hpTW, _tFireTW, _pwEnemB, _pwTowerB, _tSpawn, _tRegen
waves_vector:
DefineWave wave_data_1  #2, #5,  	#1, #2, #2, #30, #200, 		#1, #2, 		#4, #50, 	#1, #2, 		#50, 		#100, 	#wave10
DefineWave wave_data_2  #3, #7,  	#1, #2, #2, #30, #190, 		#1, #2, 		#4, #50, 	#1, #3, 		#35, 		#100, 	#wave10
DefineWave wave_data_3  #4, #10, 	#1, #2, #3, #25, #180, 		#1, #2, 		#4, #45, 	#1, #3, 		#30, 		#100, 	#wave10


DefineWave wave_data_4   #2, #5,  	#1, #2, #2, #30, #200, 		#1, #1, 		#4, #50, 	#1, #2, 		#50, 		#100, 	#wave10
DefineWave wave_data_5   #3, #7,  	#1, #2, #2, #30, #190, 		#1, #1, 		#4, #50, 	#1, #3, 		#35, 		#100, 	#wave10
DefineWave wave_data_6   #4, #10, 	#1, #2, #3, #25, #180, 		#1, #2, 		#4, #45, 	#1, #3, 		#30, 		#100, 	#wave10
DefineWave wave_data_7   #5, #12, 	#1, #3, #3, #25, #170, 		#1, #2, 		#5, #45, 	#1, #3, 		#25, 		#70, 	   #wave10
DefineWave wave_data_8   #6, #12, 	#2, #3, #3, #20, #165, 		#1, #2, 		#5, #45, 	#2, #3, 		#25, 		#50, 	   #wave10


DefineWave wave_data_9    #2, #5,  	#1, #2, #2, #30, #200, 		#1, #2, 		#3, #50, 	#1, #2, 		#50, 		#100, 	#wave10
DefineWave wave_data_10   #3, #7,  	#1, #2, #2, #30, #190, 		#1, #2, 		#4, #45, 	#1, #3, 		#35, 		#100, 	#wave10
DefineWave wave_data_11   #4, #10, 	#1, #2, #3, #25, #180, 		#1, #2, 		#4, #40, 	#1, #3, 		#30, 		#100, 	#wave11
DefineWave wave_data_12   #5, #12, 	#1, #3, #3, #25, #170, 		#1, #2, 		#5, #35, 	#1, #3, 		#25, 		#70, 	   #wave12
DefineWave wave_data_13   #6, #12, 	#2, #3, #3, #20, #165, 		#1, #2, 		#5, #30, 	#2, #3, 		#25, 		#50, 	   #wave13

DefineWave wave_data_14   #7, #18,  #2, #3, #4, #15, #165,     #1, #2, 	   #6, #30, 	#3, #4,  	#25,  	#25, 	   #wave14
DefineWave wave_data_15   #7, #21,  #2, #3, #4, #12, #160,     #1, #2, 	   #6, #22, 	#3, #4,  	#25,  	#22, 	   #wave15

m_next_wave: .dw #waves_vector


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;	COMPRUEBA SI TIENE QUE CARGAR UNA OLEADA
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
wave_showNumber:
	ld    l, #15                      ;; Foreground blanco
   ld    h, #1                       ;; Background negro
   call  cpct_setDrawCharM0_asm

	ld 	a, (m_num_wave)
	cp 	#10
	jr 	z, dos_cifras
	jr 	nc, dos_cifras
		;; Una cifra
		ld 	b, a
		ld 	hl, #0xD827
		ld 	a, #48
		add 	b
		ld 	e, a
		push 	de
		call 	cpct_drawCharM0_asm
		pop 	de

		ld 	hl, #0x9827
		call 	cpct_drawCharM0_asm
		jr 	fin_show

dos_cifras:
	ld    b, #3             
   ld    c, #38
   call  menu_drawMessage

fin_show:
	ret

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;	COMPRUEBA SI TIENE QUE CARGAR UNA OLEADA
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
wave_checkLoad:
	ld 	a, (m_num_total_enemies)
	add 	#0
	jr 	nz, fin_checkLoad
		ld 	a, (m_num_enemies)
		add 	#0
		jr 	nz, fin_checkLoad
			;; Hay que pasar de oleada
			ld 	a, (m_num_wave)
			cp 	#k_max_wave
			jr 	z, win	;; Z=1, has ganado
				ld 	a, (m_t_nextWave)
				add 	#0
				jr 	nz, decrementa_contador
					;; Cargar oleada
					ld 	ix, (m_next_wave)		;; Cargamos la siguiente oleada
					call 	wave_load

					ld 	a, (m_num_wave)
					add 	#1
					ld 	(m_num_wave), a

					ld 	h, w_mes_h(ix)
					ld 	l, w_mes_l(ix)
					push 	hl
					pop 	iy

					push 	ix
					call 	wave_showNumber
					pop 	ix

					cp 	#k_max_wave
					jr 	z, fin_checkLoad
						;; Solo si no es la ultima oleada
						;; Poner puntero en siguiente oleada
						push 	ix
						pop 	hl
						ld 	bc, #k_size_wave
						add 	hl, bc
						ld 	(m_next_wave), hl

						;; Reiniciamos contador
						ld 	a, #k_t_max_nextWave
						ld 	(m_t_nextWave), a
						jr 	fin_checkLoad

win:
	ld 	a, #1
	ld 	(m_win), a
	jr 	fin_checkLoad

decrementa_contador:
	sub 	#1
	ld 	(m_t_nextWave), a

fin_checkLoad:
	ret

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;	CARGA UNA OLEADA
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
wave_load:
	;; Enemigos en pantalla
	ld 	a, w_nEnemP(ix)
	ld 	(m_num_enemies_pant), a

	;; Numero total de enemigos en la oleada
	ld 	a, w_nTEnem(ix)
	ld 	(m_num_total_enemies), a

	;;
	;; SPIDER
	;;
	ld 	iy, #enemy_data

	;; Movs en X
	ld 	a, w_movsXSP(ix)
	ld 	e_movsX(iy), a

	;; Movs en Y
	ld 	a, w_movsYSP(ix)
	ld 	e_movsY(iy), a

	;; Vida
	ld 	a, w_hpSP(ix)
	ld 	ce_hp(iy), a

	;; Tiempo para disparar
	ld 	a, w_tFireSP(ix)
	ld 	ce_tMaxF(iy), a

	;; Tiempo para moverse
	ld 	a, w_tMoveSP(ix)
	ld 	enem_tMaxM(iy), a
	ld 	(m_tMax_move_SP), a

	;;
	;; BOMB
	;;
	ld 	iy, #enemy_bomb_data

	;; Movs en X
	ld 	a, w_movsXB(ix)
	ld 	e_movsX(iy), a

	;; Vida
	ld 	a, w_hpB(ix)
	ld 	ce_hp(iy), a

	;;
	;; TOWER
	;;
	ld 	iy, #enemy_tower_data

	;; Vida
	ld 	a, w_hpTW(ix)
	ld 	ce_hp(iy), a

	;; Tiempo para disparar
	ld 	a, w_tFireTW(ix)
	ld 	ce_tMaxF(iy), a

	;;
	;; BALA SPIDER
	;;
	ld 	iy, #enemyBullet_data

	;; Danyo
	ld 	a, w_pwEnemB(ix)
	ld 	be_pw(iy), a

	;;
	;; BALA TOWER
	;;
	ld 	iy, #towerBullet_data

	;; Danyo
	ld 	a, w_pwTowerB(ix)
	ld 	be_pw(iy), a

	;;
	;; SPAWN
	;;

	ld 	a, w_tSpawn(ix)
	ld 	(m_t_spawn), a
	ld 	(m_t_max_spawn), a

	;;
	;; REGENERACION HERO
	;; 

	ld 	a, w_tRegen(ix)
	ld 	(m_max_t_regen), a
	ld 	(m_t_regen), a

	ret
